# -*- coding: utf-8 -*-
""" pages d'erreur """
from nevow import rend, tags as T, loaders

class Page404(rend.Page):
    docFactory = loaders.xmlstr("""<html xmlns:nevow="http://nevow.com/ns/nevow/0.1">
                            <head></head><body><div nevow:render='error'/></body></html>""")

    def render_error(self, ctx, data):
        return T.center[T.div["Votre requête ne peut aboutir, la page ne peut être trouvée."]]

class Page500(rend.Page):
    docFactory = loaders.xmlstr("""<html xmlns:nevow="http://nevow.com/ns/nevow/0.1">
                          <head></head><body><div nevow:render='error'/></body></html>""")

    def render_error(self, ctx, data):
        return T.center[T.div["Une erreur inconnue s'est produite."]]
