# -*- coding: UTF-8 -*-

from os.path import join, dirname, abspath
from ead2.config.config import EAD_DIR
import locale
ENCODING = 'utf-8'
LOCAL_DIR = join(EAD_DIR,'frontend','web')
STATIC_DIR = join(LOCAL_DIR, "static")
IMAGE_DIR = join(STATIC_DIR, 'image')
STYLE_DIR = join(STATIC_DIR, 'style')
SCRIPT_DIR = join(STATIC_DIR, 'script')
TEMPLATE_DIR = join(LOCAL_DIR, "template")
HTML_DIR = join(LOCAL_DIR, 'htmltemplate')
SITE_DIR = join(LOCAL_DIR, 'site')
PORT = 8070
# timeout pour l'execution des actions
ACTION_SOCKET_TIMEOUT = 55
# timeout pour le is_alive
TEST_SOCKET_TIMEOUT = 10
# liste d'action qu'il ne faut pas essayer de recharger (lors de la récupération de la denière action utilisateur
forbidden_actions = ['scribe_user_delete', 'scribe_user_modify', 'help',
                     'scribe_user_password', 'scribe_user_table',
                     'scribe_group_delete', 'scribe_prof_mod_mail',
                     'scribe_prof_mod_groupe', 'scribe_prof_user_create',
                     'scribe_prof_user_modify', 'scribe_prof_group_create',
                     'groupe_machine_create_pedago', 'groupe_machine_modify_pedago',
                     'groupe_machine_create_admin', 'groupe_machine_modify_admin',
                     'role_manager'
                     ]
