// Gestionnaire des requêtes ajax toutes les requetes passent ici
function createRequest(){
	// cree un objet xml pour la requete ajax
	if(window.XMLHttpRequest){
		return new XMLHttpRequest();
	}
	else{
		if (window.ActiveXObject) {
			var XmlHttpVersions = ['MSXML2.XMLHttp.5.0', 
							 'MSXML2.XMLHttp.4.0','MSXML2.XMLHttp.3.0',
							 	'MSXML2.XMLHttp', 'Microsoft.XMLHttp'];
			for (var i = 0; i < XmlHttpVersions; i++){
					try{
						var req = new ActiveXObject(XmlHttpVersions[i]);
						return req;
					}catch (oError){
						window.alert(XmlHttpVersions[i]);
					}
			}
		}
	}
	throw new Error("Impossible de créer l'objet de requête XMLHttp");
}
function parseRequest(requestTxt){
	// parse l'existence de mot cle dans la requête
	// :refresh: rafraichit la page (F5)
	// :redirect: change l'url de la page en cour redirect=<MonUrl>
	// :script javascript à effectuer à la réception de la réponse
	if (requestTxt.substr(0, 7) == 'refresh') {
			window.location.reload();
			return null;
	}else{	
		 // si le retour commence par redirect, on redirige
			if (requestTxt.substr(0, 8) == 'redirect'){
				window.location.href = requestTxt.substring(9, requestTxt.length );
				return null;
			}
	}
	if (requestTxt.indexOf('<script>')!=-1 ){
		debut = requestTxt.indexOf('<script>') + 8;
		fin = requestTxt.indexOf('</script>');
		script = requestTxt.substring(debut, fin);
		return script;
	}
	else return '';
	
}
function getRequestParams(sendList){
	// renvoie une liste de parametres pour lancer une requete
	// sous forme de string
	var _send = null;
	for (i=0; i<sendList.length; i++){
		_send += '&' + sendList[i][0] + '=' + sendList[i][1];
	}
	return _send;	
}
function setContent(url, sendList, balise){
	// sendList est composé de couple [[clé, valeur], [...],...], 
	// balise est le nom de la balise à remplir
	if (typeof(balise)=='undefined'){
		balise='content';
	}
 	launchSmallLoader();
 	document.body.style.cursor = 'wait';
 	var req = createRequest();     
 	req.onreadystatechange = function(){
        if(req.readyState == 4)
            {
		stopSmallLoader();
		stopLoader();
		document.body.style.cursor = 'auto';
		if(req.status == 200)
                {
			texte = req.responseText;
			var script = parseRequest(texte);
			// gestion de la balise de reception de la requete
			var container = $(balise);
                	if (container==null){
                        	container = $('content');
				texte="Il y a une erreur dans l'arborescence html";
                	}
			if (script != null) container.innerHTML =  texte;
			if (script != ''){
				eval(script);
			}
		}
		else{
    			$('content').innerHTML = "Une erreur s'est produite lors de la requête : code " + req.status;
    		}
	    }
	}
	req.open("POST", url, true);
	req.setRequestHeader("Content-Type", "application/x-www-form-urlencoded"); 
	var _send = getRequestParams(sendList);
	req.send(_send);
}
